Subject: bug#42405: r-hdf5array fails to build

From: zimoun <[email-masked]>
Date: Wed, 28 Oct 2020 20:13:58 +0100

Dear,

On Fri, 17 Jul 2020 at 12:14, Björn Höfling <[email-masked]> wrote:

> It is missing the (proprietary) SZIP Compression Library.

Well, it built fine with 63b75c01c2374edc38437215278f50b617a12c08.  And
now using Guix 02c3c51, I get also fine:

--8<---------------cut here---------------start------------->8---
$ guix build r-hdf5array
/gnu/store/qrxrky9jj0mv96yy1875qfwwig7mgsyd-r-hdf5array-1.16.1

$ guix build r-hdf5array --no-grafts --check 
The following derivation will be built:
   /gnu/store/l59g16jyb2n2nw2n72qzxa5yapkwai51-r-hdf5array-1.16.1.drv
building /gnu/store/l59g16jyb2n2nw2n72qzxa5yapkwai51-r-hdf5array-1.16.1.drv...

[...]

starting phase `install'
* installing *source* package ‘HDF5Array’ ...
** using staged installation
** libs
gcc -I"/gnu/store/01xi3sig314wgwa1j9sxk37vl816mj74-r-minimal-4.0.3/lib/R/include" -DNDEBUG  -I'/gnu/store/c1pkb6xv0zjapcgvjl7ihng65c2q83rw-r-s4vectors-0.26.1/site-library/S4Vectors/include' -I'/gnu/store/l95pry5yf7x634jchpvasrsqqqvlx7dm-r-rhdf5lib-1.10.1/site-library/Rhdf5lib/include' -I/usr/local/include   -fpic  -g -O2  -c H5DSetDescriptor.c -o H5DSetDescriptor.o
gcc -I"/gnu/store/01xi3sig314wgwa1j9sxk37vl816mj74-r-minimal-4.0.3/lib/R/include" -DNDEBUG  -I'/gnu/store/c1pkb6xv0zjapcgvjl7ihng65c2q83rw-r-s4vectors-0.26.1/site-library/S4Vectors/include' -I'/gnu/store/l95pry5yf7x634jchpvasrsqqqvlx7dm-r-rhdf5lib-1.10.1/site-library/Rhdf5lib/include' -I/usr/local/include   -fpic  -g -O2  -c R_init_HDF5Array.c -o R_init_HDF5Array.o
gcc -I"/gnu/store/01xi3sig314wgwa1j9sxk37vl816mj74-r-minimal-4.0.3/lib/R/include" -DNDEBUG  -I'/gnu/store/c1pkb6xv0zjapcgvjl7ihng65c2q83rw-r-s4vectors-0.26.1/site-library/S4Vectors/include' -I'/gnu/store/l95pry5yf7x634jchpvasrsqqqvlx7dm-r-rhdf5lib-1.10.1/site-library/Rhdf5lib/include' -I/usr/local/include   -fpic  -g -O2  -c S4Vectors_stubs.c -o S4Vectors_stubs.o
gcc -I"/gnu/store/01xi3sig314wgwa1j9sxk37vl816mj74-r-minimal-4.0.3/lib/R/include" -DNDEBUG  -I'/gnu/store/c1pkb6xv0zjapcgvjl7ihng65c2q83rw-r-s4vectors-0.26.1/site-library/S4Vectors/include' -I'/gnu/store/l95pry5yf7x634jchpvasrsqqqvlx7dm-r-rhdf5lib-1.10.1/site-library/Rhdf5lib/include' -I/usr/local/include   -fpic  -g -O2  -c array_selection.c -o array_selection.o
gcc -I"/gnu/store/01xi3sig314wgwa1j9sxk37vl816mj74-r-minimal-4.0.3/lib/R/include" -DNDEBUG  -I'/gnu/store/c1pkb6xv0zjapcgvjl7ihng65c2q83rw-r-s4vectors-0.26.1/site-library/S4Vectors/include' -I'/gnu/store/l95pry5yf7x634jchpvasrsqqqvlx7dm-r-rhdf5lib-1.10.1/site-library/Rhdf5lib/include' -I/usr/local/include   -fpic  -g -O2  -c h5dimscales.c -o h5dimscales.o
gcc -I"/gnu/store/01xi3sig314wgwa1j9sxk37vl816mj74-r-minimal-4.0.3/lib/R/include" -DNDEBUG  -I'/gnu/store/c1pkb6xv0zjapcgvjl7ihng65c2q83rw-r-s4vectors-0.26.1/site-library/S4Vectors/include' -I'/gnu/store/l95pry5yf7x634jchpvasrsqqqvlx7dm-r-rhdf5lib-1.10.1/site-library/Rhdf5lib/include' -I/usr/local/include   -fpic  -g -O2  -c h5mread.c -o h5mread.o
gcc -shared -L/gnu/store/01xi3sig314wgwa1j9sxk37vl816mj74-r-minimal-4.0.3/lib/R/lib -L/usr/local/lib -o HDF5Array.so H5DSetDescriptor.o R_init_HDF5Array.o S4Vectors_stubs.o array_selection.o h5dimscales.o h5mread.o /gnu/store/l95pry5yf7x634jchpvasrsqqqvlx7dm-r-rhdf5lib-1.10.1/site-library/Rhdf5lib/lib/libhdf5_hl.a /gnu/store/l95pry5yf7x634jchpvasrsqqqvlx7dm-r-rhdf5lib-1.10.1/site-library/Rhdf5lib/lib/libhdf5.a -lz -L/gnu/store/01xi3sig314wgwa1j9sxk37vl816mj74-r-minimal-4.0.3/lib/R/lib -lR
installing to /gnu/store/w29frb8jpz0w8xkj7p4rxvs7agzqfpvv-r-hdf5array-1.16.1/site-library/00LOCK-HDF5Array/00new/HDF5Array/libs
** R
** inst
** tests
** byte-compile and prepare package for lazy loading
** help
*** installing help indices
** building package indices
** testing if installed package can be loaded from temporary location
** checking absolute paths in shared objects and dynamic libraries
** testing if installed package can be loaded from final location
** testing if installed package keeps a record of temporary installation path
* DONE (HDF5Array)

[...]

successfully built /gnu/store/l59g16jyb2n2nw2n72qzxa5yapkwai51-r-hdf5array-1.16.1.drv
/gnu/store/w29frb8jpz0w8xkj7p4rxvs7agzqfpvv-r-hdf5array-1.16.1
--8<---------------cut here---------------end--------------->8---

Could you confirm it works for you?  If yes, feel free to close the bug?

All the best,
simon